Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.portlet.modules.map.actions.portlets
Class SecurityAdapterAction

    java.lang.Object
      org.apache.turbine.modules.Assembler
          org.apache.turbine.modules.Action
              org.apache.turbine.modules.ActionEvent
                  org.apache.jetspeed.modules.actions.portlets.PortletActionEvent
                      org.apache.jetspeed.modules.actions.portlets.PortletAction
                          org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
                              org.apache.jetspeed.modules.actions.portlets.JspPortletAction
                                  org.deegree.portal.portlet.modules.map.actions.portlets.SecurityAdapterAction

Deprecated. use #org.deegree.portal.portlet.modules.security.actions.portlets.SecurityAdapterAction

    @Deprecated
    public class SecurityAdapterAction

extends org.apache.jetspeed.modules.actions.portlets.JspPortletAction

Since:
  2.0
Version:
  $Revision: 18195 $, 1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, last edited by: $Author: mschneider $

Field Summary

Fields inherited from class org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
`logger`

Fields inherited from class org.apache.turbine.modules.ActionEvent
`BUTTON, BUTTON_LENGTH, LENGTH, METHOD_NAME_LENGTH, METHOD_NAME_PREFIX`

Constructor Summary
`SecurityAdapterAction()` Deprecated.

Method Summary
`protected void` | `buildNormalContext(org.apache.jetspeed.portal.Portlet portlet, org.apache.turbine.util.RunData data)` Deprecated.

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.JspPortletAction
`buildConfigureContext, buildConfigureContext, buildMaximizedContext, buildMaximizedContext, buildNormalContext, setTemplate`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.GenericMVCAction
`checkAdministrativeAction, doPerform, getAttribute, getAttribute, getPortletInstance, perform, setAttribute`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.PortletAction
`doPerform, getContext, getPortlet, getTemplate, resetTemplate, setTemplate, setTemplate`

Methods inherited from class org.apache.jetspeed.modules.actions.portlets.PortletActionEvent
`executeEvents, fireEvent`

Methods inherited from class org.apache.turbine.modules.ActionEvent
`executeEvents, formatString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SecurityAdapterAction

    public SecurityAdapterAction()

  Deprecated.

Method Detail

### buildNormalContext

    protected void buildNormalContext(org.apache.jetspeed.portal.Portlet portlet,
                                      org.apache.turbine.util.RunData data)
                               throws Exception

  Deprecated.
  Specified by:
    `buildNormalContext` in class `org.apache.jetspeed.modules.actions.portlets.JspPortletAction`
  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org